diff --git a/doc/manual.xml.head b/doc/manual.xml.head
index 6f2d7413cb..766f95d7d8 100644
--- a/doc/manual.xml.head
+++ b/doc/manual.xml.head
@@ -4590,8 +4590,8 @@ unignore posted-to:
       <link linkend="shortcuts">mailbox shortcut</link>expansion performed on
       the first character. See
       <xref linkend="mailbox-hook" />for more details.</para>
-      <para>Note that execution of mbox-hooks is dependent on the 
-      <link linkend="move">$move</link>configuration variable. If set to 
+      <para>Note that execution of mbox-hooks is dependent on the
+      <link linkend="move">$move</link>configuration variable. If set to
       <quote>no</quote>(the default), mbox-hooks will not be executed.</para>
       <para>Unlike some of the other
       <emphasis>hook</emphasis>commands, only the
@@ -5082,9 +5082,9 @@ message-hook '~f freshmeat-news' 'set pager="less \"+/^  subject: .*\""'
       score entries.</para>
 
       <para>Scoring occurs as the messages are read in, before the mailbox is
-      sorted. Because of this, patterns which depend on threading, such as 
-      <emphasis>~=</emphasis>, 
-      <emphasis>~$</emphasis>, and 
+      sorted. Because of this, patterns which depend on threading, such as
+      <emphasis>~=</emphasis>,
+      <emphasis>~$</emphasis>, and
       <emphasis>~()</emphasis>, will not work by default. A workaround is to push
       the scoring command in a folder hook. This will cause the mailbox to be
       rescored after it is opened and input starts being processed:</para>
@@ -5594,7 +5594,8 @@ mailboxes $my_mx +mailbox3</screen>
       <cmdsynopsis>
         <command>source</command>
         <arg choice="plain">
-          <replaceable class="parameter">filename</replaceable>
+          <replaceable class="parameter">file1</replaceable>
+          <replaceable class="parameter">file2</replaceable>
         </arg>
       </cmdsynopsis>
       <para>This command allows the inclusion of initialization commands from
diff --git a/init.c b/init.c
index 63226e6966..814f445893 100644
--- a/init.c
+++ b/init.c
@@ -2423,7 +2423,8 @@ static int parse_set(struct Buffer *tmp, struct Buffer *s, unsigned long data,
     {
       if (query || unset || inv)
       {
-        snprintf(err->data, err->dsize, "%s", _("prefix is illegal with reset"));
+        snprintf(err->data, err->dsize, "%s",
+                 _("prefix is illegal with reset"));
         return -1;
       }
 
@@ -2437,7 +2438,8 @@ static int parse_set(struct Buffer *tmp, struct Buffer *s, unsigned long data,
       {
         if (CurrentMenu == MENU_PAGER)
         {
-          snprintf(err->data, err->dsize, "%s", _("Not available in this menu."));
+          snprintf(err->data, err->dsize, "%s",
+                   _("Not available in this menu."));
           return -1;
         }
         for (idx = 0; MuttVars[idx].option; idx++)
@@ -2464,7 +2466,8 @@ static int parse_set(struct Buffer *tmp, struct Buffer *s, unsigned long data,
       {
         if (unset || inv || query)
         {
-          snprintf(err->data, err->dsize, "%s", _("Usage: set variable=yes|no"));
+          snprintf(err->data, err->dsize, "%s",
+                   _("Usage: set variable=yes|no"));
           return -1;
         }
 
@@ -2476,7 +2479,8 @@ static int parse_set(struct Buffer *tmp, struct Buffer *s, unsigned long data,
           unset = 1;
         else
         {
-          snprintf(err->data, err->dsize, "%s", _("Usage: set variable=yes|no"));
+          snprintf(err->data, err->dsize, "%s",
+                   _("Usage: set variable=yes|no"));
           return -1;
         }
       }
@@ -3136,24 +3140,34 @@ static int source_rc(const char *rcfile_path, struct Buffer *err)
 
 #undef MAXERRS
 
-static int parse_source(struct Buffer *tmp, struct Buffer *s,
+static int parse_source(struct Buffer *tmp, struct Buffer *token,
                         unsigned long data, struct Buffer *err)
 {
   char path[_POSIX_PATH_MAX];
+  int rc = 0;
 
-  if (mutt_extract_token(tmp, s, 0) != 0)
-  {
-    snprintf(err->data, err->dsize, _("source: error at %s"), s->dptr);
-    return -1;
-  }
-  if (MoreArgs(s))
+  do
   {
-    strfcpy(err->data, _("source: too many arguments"), err->dsize);
-    return -1;
-  }
-  strfcpy(path, tmp->data, sizeof(path));
-  mutt_expand_path(path, sizeof(path));
-  return source_rc(path, err);
+    if (mutt_extract_token(tmp, token, 0) != 0)
+    {
+      snprintf(err->data, err->dsize, _("source: error at %s"), token->dptr);
+      return -1;
+    }
+    strfcpy(path, tmp->data, sizeof(path));
+    mutt_expand_path(path, sizeof(path));
+
+    rc = source_rc(path, err);
+
+    if (rc < 0)
+    {
+      snprintf(err->data, err->dsize,
+               _("source: file %s could not be sourced."), path);
+      return -1;
+    }
+
+  } while (MoreArgs(token));
+
+  return ((rc < 0) ? -1 : 0);
 }
 
 /* line         command to execute
@@ -3879,11 +3893,7 @@ static int execute_commands(struct List *p)
 static char *find_cfg(const char *home, const char *xdg_cfg_home)
 {
   const char *names[] = {
-    "neomuttrc-" PACKAGE_VERSION,
-    "neomuttrc",
-    "muttrc-" MUTT_VERSION,
-    "muttrc",
-    NULL,
+    "neomuttrc-" PACKAGE_VERSION, "neomuttrc", "muttrc-" MUTT_VERSION, "muttrc", NULL,
   };
 
   const char *locations[][2] = {
@@ -3933,8 +3943,7 @@ void mutt_init(int skip_sys_rc, struct List *commands)
 
   Groups = hash_create(1031, 0);
   /* reverse alias keys need to be strdup'ed because of idna conversions */
-  ReverseAlias = hash_create(1031, MUTT_HASH_STRCASECMP | MUTT_HASH_STRDUP_KEYS |
-                                       MUTT_HASH_ALLOW_DUPS);
+  ReverseAlias = hash_create(1031, MUTT_HASH_STRCASECMP | MUTT_HASH_STRDUP_KEYS | MUTT_HASH_ALLOW_DUPS);
 #ifdef USE_NOTMUCH
   TagTransforms = hash_create(64, 1);
   TagFormats = hash_create(64, 0);
